Project

General

Profile

Tâche #28786

Scénario #28683: Fournir la procédure de migration Upgrade-Auto d'un ScribeAD 2.6.2 vers Scribe 2.7.1

Le remplacement de check-bareos-plugin par nagios-plugin-bareos est mal indiqué dans le fichier control

Added by Benjamin Bohard about 2 months ago. Updated 30 days ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
07/25/2019
Due date:
% Done:

0%

Remaining (hours):
0.0

Description

Lors de l’upgrade de 2.6.2 vers 2.7.1, les deux paquets check-bareos-plugin et nagios-plugin-bareos sont installés alors que le second devrait remplacer le premier.

apt policy check-bareos-plugin
check-bareos-plugin:
  Installé : 14.2.6-3+2
  Candidat : 14.2.6-3+2
 Table de version :
 *** 14.2.6-3+2 500
        500 http://test-eole.ac-dijon.fr/eole eole-2.7.1/main amd64 Packages
        100 /var/lib/dpkg/status

apt policy nagios-plugin-bareos
nagios-plugin-bareos:
  Installé : 16.2.6-4~eole270.9
  Candidat : 16.2.6-4~eole270.9
 Table de version :
 *** 16.2.6-4~eole270.9 500
        500 http://test-eole.ac-dijon.fr/eole eole-2.7.1/main amd64 Packages
        100 /var/lib/dpkg/status

Le problème n’est pas bloquant puisque le nouveau paquet check-bareos-plugin est vide :

dpkg -L check-bareos-plugin
/.
/usr
/usr/lib
/usr/lib/nagios
/usr/lib/nagios/plugins
/usr/share
/usr/share/doc
/usr/share/doc/check-bareos-plugin
/usr/share/doc/check-bareos-plugin/copyright
/usr/share/doc/check-bareos-plugin/changelog.Debian.gz

Selon toute vraisemblance, il y a un problème dans la section du fichier control pour le paquet nagios-plugin-bareos

Package:        nagios-plugin-bareos
Architecture:   any
Depends:        bareos-common
Conflicts:      check-bacula-plugin,
                nagios-plugin-bareos (<= 2.7)
Replaces:       check-bacula-plugin,
                nagios-plugin-bareos (<= 2.7)

Le conflit devrait portait également sur check-bareos-plugin (voir si le conflit sur check-bacula-plugin est encore nécessaire).
En outre, avec son intégration au dépôt bareos, nagios-plugin-bareos suit la numérotation de bareos (année-version). Je n’ai pas retrouvé si la version 2.7 correspond effectivement à une version de nagios-plugin-bareos distribuée à un moment sur EOLE.

Associated revisions

Revision 0bd52b05 (diff)
Added by Benjamin Bohard about 2 months ago

nagios-bareos-plugin conflicts and replaces check-bareos-plugin.

Ref #28786

History

#1 Updated by Benjamin Bohard about 2 months ago

  • Tracker changed from Demande to Tâche
  • Parent task set to #28683

#2 Updated by Benjamin Bohard about 2 months ago

  • Project changed from eole-bareos to Distribution EOLE
  • Status changed from Nouveau to En cours

#3 Updated by Benjamin Bohard about 2 months ago

En fait, le paquet ne semble pas si vide que ça dans la majorité des cas ??

#4 Updated by Benjamin Bohard about 2 months ago

  • Status changed from En cours to Résolu

#5 Updated by Joël Cuissinat 30 days ago

  • Status changed from Résolu to Fermé
  • Assigned To set to Benjamin Bohard
  • Remaining (hours) set to 0.0
Paquet 16.2.6-4~eole270.10 mis à disposition pour :
  • eole-2.7.0-proposed-updates
  • eole-2.7.1-proposed-updates
  • eole-2.7-unstable

Suppression de la branche inutile : dist/eole/2.7.1/master

Also available in: Atom PDF